ntsc = 1789772
pal  = 1662607

#dw        $06AE,$064E,$05F4,$059E
#dw        $054E,$0501,$04B9,$0476
#dw        $0436,$03F9,$03C0,$038A
#dw        $0000,$07f2,$0780,$0714

ppmck_ntsc = [
    0x06AE, 0x064E, 0x05F4, 0x059E,
    0x054E, 0x0501, 0x04B9, 0x0476,
    0x0436, 0x03F9, 0x03C0, 0x038A,
    0x0000, 0x07f2, 0x0780, 0x0714 ]

def reg2freq(clock,val):
    return float(clock)/float((val+1)*16)

def freq2reg(clock,val):
    return int(((float(clock)/(16.0*val))-1.0)+0.5)

def print_table(tab):
    for t in tab:
        print(".byte $%02X, $%02X" % (t&0xFF, t>>8))

ppmck_freq  = [ reg2freq(ntsc,x) for x in ppmck_ntsc ]
ppmck_ntsc2 = [ freq2reg(ntsc,x) for x in ppmck_freq ]
ppmck_pal   = [ freq2reg(pal ,x) for x in ppmck_freq ]

print("ppmck_ntsc")
print_table(ppmck_ntsc)
print("")
print("ppmck_pal")
print_table(ppmck_pal)

print("")


def it2nsf_gen(i):
    return int(int(32767.0/2.0) * pow(2.0,float(i)/192.0))

it2nsf_ntsc = [ it2nsf_gen(i) for i in range(0,193) ]

def print_table2(tab):
    s = ".byte"
    c = 0
    for t in tab:
        if c == 16:
            print (s)
            s = ".byte"
            c = 0
        s += " $%02X," % (t & 0xFF)
        c += 1
    print(s)
    s = ".byte"
    c = 0
    for t in tab:
        if c == 16:
            print (s)
            s = ".byte"
            c = 0
        s += " $%02X," % (t >> 8)
        c += 1
    print(s)

print("it2nsf_ntsc")
print_table2(it2nsf_ntsc)

it2nsf_freq = [ reg2freq(ntsc,x) for x in it2nsf_ntsc ]
it2nsf_pal  = [ freq2reg(pal ,x) for x in it2nsf_freq ]

print("")
print("it2nsf_pal")
print_table2(it2nsf_pal)
